[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.MoveBy

Moves the position in the dataset by the specified number of rows.

## Declaration

Source position: dbgrids.pas line 223

`protected function TComponentDataLink.MoveBy(`
`Distance: Integer`
`):Integer; override;`

## Arguments

`Distance` |  | Number of rows to move in the dataset.

## Function result

Actual number of rows moved in the method.

## Description

MoveBy is an Integer function used to move the current position in the dataset by the specified number of rows. MoveBy calls the inherited method.

## See also

TDataLink